# Update borrower

Update an existing borrower.

Endpoint: PUT /people/{personId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

## Request fields (application/json):

  - `dateOfBirth` (string)
    The date of birth.
Returned as `null` for callers lacking the `person:read.pii` permission.

  - `name` (object)
    Name of the person.

  - `name.firstName` (string, required)
    A person's first name.

  - `name.lastName` (string, required)
    A person's last name.
Redacted to the first initial (e.g. `S.`) for callers lacking the
`person:read.pii` permission.

  - `name.maidenLastName` (string)
    A person's maiden name, if applicable.
Redacted to the first initial (e.g. `J.`) for callers lacking the
`person:read.pii` permission.

  - `name.middleName` (string)
    A person's middle name.
Redacted to the first initial (e.g. `A.`) for callers lacking the
`person:read.pii` permission.

  - `name.preferredFirstName` (string)
    A person's preferred first name. This name will be used for interactions
like emails, text messages, outbound calls, online portal, etc.
If no preferred name is provided, `firstName` will be used.

  - `name.prefix` (string)
    A person's name prefix.

  - `name.suffix` (string)
    A person's name suffix.

  - `businessDetails` (object, required)
    The business details.

  - `businessDetails.businessLegalName` (string, required)
    The business' legal name.

  - `businessDetails.businessName` (string, required)
    The business' name or DBA.

  - `businessDetails.businessType` (string, required)
    The business type.
    Enum: "LLC", "cCorporation", "sCorporation", "generalPartnership", "limitedPartnership", "soleProprietor", "nonProfit", "other", "cooperative", "independentContractor", "selfEmployed", "veteransOrganization", "tribalBusiness", "soleTrader", "incorporatedAssociation", "unincorporatedAssociation", "trust", "unitTrust", "appointorTrust"

  - `businessDetails.incorporatedCountry` (string)
    The country where the business was incorporated or organized. English short name according to ISO 3166-1 standard.

  - `businessDetails.incorporatedState` (string)
    The state or province code (not full name) where the business was incorporated or organized. For example: CA.

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (any)

  - `data.dateOfBirth` (string)
    The date of birth.
Returned as `null` for callers lacking the `person:read.pii` permission.

  - `data.name` (object)
    Name of the person.

  - `data.name.createdAt` (string)

  - `data.name.current` (boolean)
    Name is flagged as current.

  - `data.name.deletedAt` (string)

  - `data.name.effectiveAt` (string)

  - `data.name.firstName` (string, required)
    A person's first name.

  - `data.name.id` (string)

  - `data.name.lastName` (string, required)
    A person's last name.
Redacted to the first initial (e.g. `S.`) for callers lacking the
`person:read.pii` permission.

  - `data.name.maidenLastName` (string)
    A person's maiden name, if applicable.
Redacted to the first initial (e.g. `J.`) for callers lacking the
`person:read.pii` permission.

  - `data.name.middleName` (string)
    A person's middle name.
Redacted to the first initial (e.g. `A.`) for callers lacking the
`person:read.pii` permission.

  - `data.name.object` (string)
    Enum: "name"

  - `data.name.originalValue` (object)
    The original value for name before an update.

  - `data.name.preferredFirstName` (string)
    A person's preferred first name. This name will be used for interactions
like emails, text messages, outbound calls, online portal, etc.
If no preferred name is provided, `firstName` will be used.

  - `data.name.prefix` (string)
    A person's name prefix.

  - `data.name.source` (string)
    Enum: "peach", "lender", "externalAPI"

  - `data.name.status` (string)
    Enum: "active", "inactive"

  - `data.name.suffix` (string)
    A person's name suffix.

  - `data.name.updatedAt` (string)

  - `data.object` (string)
    Enum: "person"

  - `data.businessDetails` (object, required)
    The business details.

  - `data.businessDetails.businessLegalName` (string, required)
    The business' legal name.

  - `data.businessDetails.businessName` (string, required)
    The business' name or DBA.

  - `data.businessDetails.businessType` (string, required)
    The business type.
    Enum: "LLC", "cCorporation", "sCorporation", "generalPartnership", "limitedPartnership", "soleProprietor", "nonProfit", "other", "cooperative", "independentContractor", "selfEmployed", "veteransOrganization", "tribalBusiness", "soleTrader", "incorporatedAssociation", "unincorporatedAssociation", "trust", "unitTrust", "appointorTrust"

  - `data.businessDetails.incorporatedCountry` (string)
    The country where the business was incorporated or organized. English short name according to ISO 3166-1 standard.

  - `data.businessDetails.incorporatedState` (string)
    The state or province code (not full name) where the business was incorporated or organized. For example: CA.

